{
  lib,
  systemConfig,
  ...
}:

{
  imports = [
    (lib.custom.relativeToRoot "shared/modules/nix-helper.nix")
    (lib.custom.relativeToRoot "shared/modules/nixos.nix")
    (lib.custom.relativeToRoot "shared/modules/shell.nix")
    ./boot.nix
    ./development.nix
    ./hardware.nix
    ./networking.nix
    ./security
  ];

  system.stateVersion = systemConfig.version;

  users = {
    mutableUsers = false;
    users.${systemConfig.user.name} = {
      isNormalUser = true;
      password = systemConfig.user.password;
      extraGroups = [ "wheel" ];
    };
  };
}
